> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Retrieves a list of self-ship appointment slots for a shipment.

GET https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/{inboundPlanId}/shipments/{shipmentId}/selfShipAppointmentSlots

Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/orders-fulfillment/fulfillment-inbound/wfs-inbound/get-self-ship-appointment-slots

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Path parameters

- `inboundPlanId` (string, required) — Identifier of an inbound plan.
- `shipmentId` (string, required) — Identifier of a shipment.

### Query parameters

- `pageSize` (integer, optional) — The number of self ship appointment slots to return in the response matching the given query.
- `paginationToken` (string, optional) — A token to fetch a certain page when there are multiple pages worth of results.

## Response

### 200

Success

- `selfShipAppointmentSlotsAvailability` (SelfShipAppointmentSlotsAvailability, required) — The self ship appointment time slots availability and an expiration date for which the slots can be scheduled.
- `pagination` (Pagination, optional) — Contains tokens to fetch from a certain page.

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of Error, required) — List of errors.

### 403 Forbidden Error

Forbidden

- `errors` (list of Error, required) — List of errors.

### 404 Not Found Error

Not Found

- `errors` (list of Error, required) — List of errors.

### 429 Too Many Requests Error

Rate limit exceeded

- `errors` (list of Error, required) — List of errors.

### 500 Internal Server Error

Internal Server Error

- `errors` (list of Error, required) — List of errors.

## Types

### SelfShipAppointmentSlotsAvailability

The self ship appointment time slots availability and an expiration date for which the slots can be scheduled.

- `expiresAt` (datetime, optional) — The time at which the self ship appointment slot expires. In ISO 8601 datetime format.
- `slots` (list of AppointmentSlot, optional) — A list of appointment slots.

### Pagination

Contains tokens to fetch from a certain page.

- `nextToken` (string, optional) — When present, pass this string token in the next request to return the next response page.

### Error

Error object containing information about what went wrong.

- `code` (string, required) — An error code that identifies the type of error that occurred.
- `message` (string, required) — A message that describes the error condition.
- `details` (string, optional) — Additional details that can help the caller understand or fix the issue.

### AppointmentSlot

The Ship Node appointment slot for the transportation option.

- `slotId` (string, required) — An identifier to a self-ship appointment slot.
- `slotTime` (AppointmentSlotTime, required) — An appointment slot time with start and end.

### AppointmentSlotTime

An appointment slot time with start and end.

- `endTime` (datetime, required) — The end timestamp of the appointment in UTC.
- `startTime` (datetime, required) — The start timestamp of the appointment in UTC.

## Examples

**Response**

```json
{
  "selfShipAppointmentSlotsAvailability": {
    "expiresAt": "2024-01-15T09:30:00Z",
    "slots": [
      {
        "slotId": "string",
        "slotTime": {
          "endTime": "2024-01-15T09:30:00Z",
          "startTime": "2024-01-15T09:30:00Z"
        }
      }
    ]
  },
  "pagination": {
    "nextToken": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/selfShipAppointmentSlots"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/selfShipAppointmentSlots';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/selfShipAppointmentSlots"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/selfShipAppointmentSlots")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/selfShipAppointmentSlots")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/selfShipAppointmentSlots');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/selfShipAppointmentSlots");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/selfShipAppointmentSlots")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```